$(function () {
    if ($('#calc').length) {
        const planElem = $('#js-plan');
        const amountElem = $('#js-amount');
        $("#slider").slider({
            animate: true,
            range: 'min',
            slide: function (event, ui) {
                $('#js-amount').val(ui.value);
                calc(ui.value);
            },
        });
        change_amount(planElem.val());
        calc(amountElem.val());
        $('#js-calc').on('click', function () {
            calc($('#js-amount').val());
        });
        planElem.on('change', function () {
            change_amount($(this).val());
            calc($('#js-amount').val());
        });
        amountElem.on('change keyup', function () {
            $("#slider").slider('option', {
                value: $(this).val(),
            });
            calc($(this).val());
        });

        function calc(amount) {
            amount = Number(amount);
            let plan_id = Number($('#js-plan').val());
            let plan = plans.filter((item) => Number(item.id) === Number(plan_id) && amount >= Number(item.min) && amount <= Number(item.max))[0];
            if (plan) {
                let count = Number(plan['count']);
                let seconds = Number(plan['seconds']);
                let percent = Number(plan['percent']);
                let plan_return = Number(plan['return']);
                let profit = amount / 100 * percent;
                let total = profit * (count === 0 ? 1 : count) + Number((plan_return === 1 && count > 0) ? amount : 0);
                let days = '';
                if (count === 0) {
                    days = arrDays[3];
                } else {
                    let day = count * seconds / 86400;
                    days = day + ' ' + getWord(day, arrDays);
                }
                let d = 86400 / seconds;
                $('label[for="js-profit"]').html(count ? arrDays[4] : arrDays[5]);
                $('label[for="js-total"]').html(count ? arrDays[6] : arrDays[7]);
                $('#js-days').val(days);
                $('#js-return').val(arrReturn[plan_return]);
                $('#js-profit').val((count ? (total - amount) : profit * d * 30).toFixed(2));
                $('#js-total').val((count ? total : profit * d * 365).toFixed(2));
            } else {
                $('#js-days').val('-----');
                $('#js-return').val('-----');
                $('#js-profit').val('-----');
                $('#js-total').val('-----');
            }
        }

        function change_amount(plan_id) {
            let row = plans.filter((item) => Number(item.id) === Number(plan_id))[0];
            let min = Number(row.min);
            let max = Number(row.max);
            $('#js-amount').val(min);
            $("#slider").slider('option', {
                min: min,
                max: max,
                value: min
            });
        }

        function getWord(number, suffix) {
            let keys = [2, 0, 1, 1, 1, 2];
            let mod = number % 100;
            let suffix_key = (mod > 7 && mod < 20) ? 2 : keys[Math.min(mod % 10, 5)];
            return suffix[suffix_key];
        }
    }
});